Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wsrp.model.markup
Enum PortletStateChange

    java.lang.Object
      java.lang.Enum<PortletStateChange>
          com.bea.wsrp.model.markup.PortletStateChange

All Implemented Interfaces
  Serializable, Comparable<PortletStateChange>

    public enum PortletStateChange

extends Enum<PortletStateChange>

An enum that represents portletStateChange element.

Enum Constant Summary
`cloneBeforeWrite` This value indicates that the producer must clone the portlet before making persistent state changes.
`readOnly` This value indicates that the producer must treat the portlet as read only and not attempt to make any persistent state changes.
`readWrite` This value indicates that the producer may make persistent state changes to the portlet.

Method Summary
`static PortletStateChange` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PortletStateChange[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### readOnly

    public static final PortletStateChange readOnly

  This value indicates that the producer must treat the portlet as read only and not attempt to make any persistent state changes.

### cloneBeforeWrite

    public static final PortletStateChange cloneBeforeWrite

  This value indicates that the producer must clone the portlet before making persistent state changes.

### readWrite

    public static final PortletStateChange readWrite

  This value indicates that the producer may make persistent state changes to the portlet.

Method Detail

### values

    public static final PortletStateChange[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static PortletStateChange valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved